Bug 10235 - Koha's syspref search fails to find 'local' sysprefs
Summary: Koha's syspref search fails to find 'local' sysprefs
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-13 05:54 UTC by Mason James
Modified: 2015-12-03 22:11 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 10235: Add DataTables filters on local use prefs (1.51 KB, patch)
2015-04-14 14:09 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10235: Add DataTables filters on local use prefs (1.83 KB, patch)
2015-05-01 13:31 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 10235: Add DataTables filters on local use prefs (1.83 KB, patch)
2015-05-01 13:32 UTC, M. Tompsett
Details | Diff | Splinter Review
[PASSED QA] Bug 10235: Add DataTables filters on local use prefs (1.90 KB, patch)
2015-05-03 16:31 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mason James 2013-05-13 05:54:08 UTC
if you add a new syspref to Koha, then attempt to search for it - the 'syspref search' feature fails to find it :/

this ticket will attempt to fix this bug.
Comment 1 Owen Leonard 2014-07-16 18:49:38 UTC
It would be nice if, at the very least, a search for local system preferences worked from the local use tab.
Comment 2 Jonathan Druart 2015-04-14 14:09:32 UTC Comment hidden (obsolete)
Comment 3 M. Tompsett 2015-05-01 13:31:14 UTC Comment hidden (obsolete)
Comment 4 M. Tompsett 2015-05-01 13:32:11 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2015-05-03 16:31:01 UTC
Created attachment 38779 [details] [review]
[PASSED QA] Bug 10235: Add DataTables filters on local use prefs

There is no way to search for local use prefs.
This patch provides an easy way to search for pref present in
of local use prefs table.

Test plan:
1/ Go on the system preferences administration page
2/ Click on the Local Use table
3/ Confirm you are able to filter the table by pref name or description
using the DataTables filters on top of it.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

NOTE: Local use tab is distinct from other tabs, so implementing
      'Search system preferences' across all tabs would be very
      difficult. This patch adds a filter to the Local Use tab,
      which nicely allows for filtering, as per Owen's suggestion
      in comment #1.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Tomás Cohen Arazi 2015-05-14 15:40:42 UTC
Patch pushed to master.

Thanks Jonathan!